Skip to main content
GET
/
v1
/
flows
/
{flow_id}
/
inputs
Search flow inputs
curl --request GET \
  --url https://api.runflow.io/v1/flows/{flow_id}/inputs \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "display_name": "<string>",
      "description": "<string>",
      "variable_type_code": "<string>",
      "validator_code": "<string>",
      "validator_attrs": {},
      "is_required": true,
      "default_value": {},
      "sort_order": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "first": "<string>",
  "next": "<string>",
  "previous": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Organization-Id
string | null

Path Parameters

flow_id
string
required

Flow ID. Use 'any' to search across all parents.

Query Parameters

q
string | null

ANTLR filter expression

limit
integer | null

Page size

Required range: 1 <= x <= 500
sort_by
string | null

Sort expression (e.g. created_at:desc)

fields
string | null

Field projection (e.g. id,name)

pq
string | null

Pagination cursor query

from_prev
boolean
default:false

Backward pagination flag

Response

Paginated flow input list.

Paginated list response.

items
FullValidator · object[]
required
first
string | null
next
string | null
previous
string | null